Name:           mintstick
Version:        1.4.4
Release:        2%{?dist}
Summary:        write .img and .iso files to USB sticks

Group:		Applications/System
License:        GPL
URL:            http://packages.linuxmint.com/pool/main/m/mintstick/
Source:         %url/%{name}_%{version}.tar.xz

BuildArch:	noarch

BuildRequires:  gettext

Requires:       coreutils
Requires:       desktop-file-utils
Requires:       dosfstools
Requires:       e2fsprogs
Requires:       exfat-utils
Requires:       glib2
Requires:       gtk3
Requires:       ntfs-3g
Requires:       parted
Requires:       polkit
Requires:       procps-ng
Requires:       python
Requires:       python-dbus
Requires:       python-gobject
Requires:       python-pyparted
Requires:       python-xapp
Requires:       udisks2
Requires:       util-linux
Requires:       xapps

%description
A GUI to write .img or .iso files to a USB Key. It can also format them.

%prep
%setup -n mintstick

%install

LIBFILES="mintstick.py raw_write.py raw_format.py mountutils.py"
DATAFILES="mintstick.ui"

mkdir -p %{buildroot}/usr/lib/mintstick
mkdir -p %{buildroot}/usr/share/mintstick
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/share/polkit-1/actions
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/nemo/actions

cp share/applications/mintstick.desktop %{buildroot}/usr/share/applications/
cp share/applications/mintstick-format.desktop %{buildroot}/usr/share/applications/
cp share/polkit/com.linuxmint.mintstick.policy %{buildroot}/usr/share/polkit-1/actions
cp mintstick %{buildroot}/usr/bin/
cp share/nemo/actions/mintstick-format.nemo_action %{buildroot}/usr/share/nemo/actions
cp share/nemo/actions/mintstick.nemo_action %{buildroot}/usr/share/nemo/actions
    
    for item in $LIBFILES; do
        cp lib/$item %{buildroot}/usr/lib/mintstick/
    done

    for item in $DATAFILES; do
        cp share/mintstick/$item %{buildroot}/usr/share/mintstick/
    done

%files
%doc COPYING
%{_datadir}/applications/*.desktop
%{_datadir}/polkit-1/actions/com.linuxmint.mintstick.policy
%{_datadir}/nemo/actions/*.nemo_action
%{_bindir}/mintstick
%{_prefix}/lib/mintstick/*.py
%{_datadir}/mintstick/mintstick.ui


%changelog
* Fri Nov 13 2020 builder
- Build initial package rpm.
